package com.zhimai.websocket.bean;

import org.litepal.annotation.Column;
import org.litepal.crud.LitePalSupport;

/**
 * Explain：
 * Created on 2020/10/30.
 *
 * @author zhangshenglong
 */
public class MessageSqlBean extends LitePalSupport {
    @Column(unique = true)
    private String tag;
    @Column(defaultValue = "false")
    private boolean confirm;
    @Column(defaultValue = "false")
    private boolean print;

    private String content;

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public boolean isConfirm() {
        return confirm;
    }

    public void setConfirm(boolean confirm) {
        this.confirm = confirm;
    }

    public boolean isPrint() {
        return print;
    }

    public void setPrint(boolean print) {
        this.print = print;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
